FAQ / Compatibility

Other FAQs in Compatibility

  • Are your plugins compatible with macOS 10.15 Catalina?

    Yes. We have released updated installers for all Valhalla plugins (full and demo), that are signed and notarized for macOS Catalina.

  • Will your plugins work on my Power PC Mac?

    Not anymore. The older versions of the plugins were built and tested for PPC and Intel Mac. The latest revisions use a more up-to-date version of Juce (for AAX compatibility), and these Juce changes are no longer compatible with PPC. We no longer sell PPC versions of the plugins, as we are unable to offer support for these 14+ year old machines.

  • If I buy the AAX plugin, can I also install it for a VST host?

    YES! When you purchase a Valhalla DSP plugin, you can download and install the AAX, VST and AU versions, for both OSX and Windows. One purchase covers all of the DAWs that you own and personally use.

  • Have you finished AAX yet?

    YES!!!!!!!!! All of the Valhalla plugins have 64-bit AAX versions, for OSX and Windows. The Valhalla plugins are ready to run in Pro Tools 11/12/2018!

  • What plugin formats are the Valhalla DSP plugins offered in?

    • VST (32/64-bit, for OSX and Windows)
    • Audio Units (32/64-bit, OSX only)
    • AAX (64-bit, for OSX and Windows)
  • Do you support RTAS?

    Starting with ValhallaDelay, we no longer will be building RTAS versions of the Valhalla plugins. The older Valhalla plugins (Shimmer/Room/VintageVerb/ÜberMod/Plate) will continue to have the current RTAS builds included in their installers, but the RTAS builds will no longer be updated.

    This is due to changes in the Juce framework. In order to support VST3 for future builds, we have to use a recent Juce version that no longer builds for RTAS.

  • What OSes are your plugins compatible with?

    Here’s the current OS compatibility. Please try out the demos first to make sure everything works on your system:

    • Windows: 7, 8, 10 (64-bit Windows only).
    • OS X: 10.8, 10.9, 10.10, 10.11, macOS 10.12, 10.13, 10.14, 10.15
    • Linux: Not supported
    • iOS: Not supported
  • Do you support DAW/OS combinations unsupported by the DAW manufacturers?

    No, we don’t. If your DAW is no longer supported by an OS update on your particular platform, we can’t guarantee that our products will also continue to work in that scenario (for example, Pro Tools 10 running on Mac OS 10.12 is not supported and will likely lead to issues that we can’t and, thus, won’t fix). It is up to the user to maintain compatibility between their OS and the DAW they run on it.

  • Do you support Hackintoshes?